># <b># CombatOverhaulREwrite</b>

A complete rewrite of CombatOverhaul by leseryk, will be taken down when the original author comes back and updates his mod. Updated and added fixes for mistlands.

>## ## Installation (manual)

- extract `CombatOverhaulREwrite.dll` file to your `BepInEx\Plugins\` folder

>## ## Features

- Thunderstore - [Check Here](https://valheim.thunderstore.io/package/Kyresel/CombatOverhaul/)

- NexusMods - [Check Here](https://www.nexusmods.com/valheim/mods/591)

- Uses serversync and built-in config watcher.
- Configurable through config file or [configuration manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

(NOTE: Haven't tested all the features including Terraheim integrations. If you found a bug/errors/problems you can post a comment/bug at my nexus page or you can ping me at any valheim discord channel or here [@YmirMods](https://discord.gg/kYA8MymEDY) discord channel)

>## ## Credits

- All credits goes to the original author for this amazing mod.

- Nexus - [Leseryk](https://www.nexusmods.com/valheim/users/109784758)

> ## ## Changelog
<br/>

v1.1.2
- updated to the latest valheim build (217.22)

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

v1.1.1
- updated to the latest valheim build (217.14) hilders request.

v1.1.0
- updated to the latest valheim build (216.9)

v1.0.9
- added config option to disable blocking alterations (ie. can only block using towershields)

v1.0.8
- added attack angle tweaks

v1.0.7
- fixed pickaxes bug and added attack offset tweaks

v1.0.6
- fixed bug with butcher knife where you can destroy and kill anything with it
- fixed bug where you can't hit enemies when there's a pet/tame inbetween.

v1.0.5
- updated to the latest valheim and bepinex builds
- added implementation and configurable tweaks to dualknives (Skroll and Hati), crossbows (Arbalest), and greatswords (Krom)

v1.0.3
- fixed bug where monsters can't hurt/damage your tames.

v1.0.2
- fixed bug where monsters can't hurt you, thanks @manadancer from nexusmods for reporting this immediately

v1.0.1
- fixed an old bug where you can hurt/kill your tames with any weapon without pvp being enabled.
- added possible fix to an old bug where you can attack/kill other players without pvp being enabled (not tested, can't test it by myself)

v1.0.0
- first release
- added serversync and configwatcher
- added dualwield compatibility fixed, dualwield skills will now properly level up
- added fixed for mistlands magical staffs attack bug
- added compatibility fixed for my bowplugin mod.
- added compatibility fixed for my magicplugin mod
- remove old translations and added builtin english translation, you can add your own translation by following the example translation inside the zip file.
- added support to ingame configuration manager.

</details>